﻿using System;
using log4net;


namespace console_demo
{
    class Program
    {      

        static void Main(string[] args)
        {
            log4net.Config.XmlConfigurator.Configure();
            ILog log = LogManager.GetLogger("jimmy.logger"); //这里的名字，要跟config中 logger name中对应          

            Console.WriteLine("log4net started...");
            Console.WriteLine("IsInfoEnabled={0}\nIsDebugEnabled={1}\nIsWarnEnabled={2}\nIsErrorEnabled={3}\nIsFatalEnabled={4}", log.IsInfoEnabled, log.IsDebugEnabled, log.IsWarnEnabled, log.IsErrorEnabled,log.IsFatalEnabled);

            if (log.IsInfoEnabled)
            {
                log.Info("info test");
            }

            if (log.IsDebugEnabled) 
            {
                log.Debug("Debug test");
            }

            if (log.IsWarnEnabled)
            {
                log.Warn("Warn test");
            }

            if (log.IsErrorEnabled)
            {
                log.Error("Error test");
            }

            if (log.IsFatalEnabled)
            {
                log.Fatal("Fatal test");
            }

            Console.ReadKey();
        }
    }
}
